{% extends "crud.html" %}


{% block top_records_navigation %}
    <div class="col"></div>
{% endblock %}


{% block datatable_filters %}
    <div class="col-12 offset-md-5 col-md-3">
        <div class="form-group">
            <select class="form-control" data-datatable-filter="1">
                <option value="">All Types</option>
                {% for option in business_types %}
                    <option value="{{ option.decode("utf-8") }}">{{ option.decode("utf-8")|normalize|title }}</option>
                {% endfor %}
            </select>
        </div>
    </div>
{% endblock %}


{% block add_form %}
    <div class="row">
        <div class="col-12 col-md-6">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "name"|normalize|title }}*</label>
                        <input type="text" name="name" class="form-control" required maxlength="255" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "tin_number"|normalize|title }}*</label>
                        <input type="text" name="tin_number" class="form-control" required minlength="9" maxlength="12" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "address"|normalize|title }}*</label>
                        <textarea name="address" class="form-control" rows="4" required></textarea>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "business_type"|normalize|title }}*</label>
                        <select name="business_type" class="form-control" required>
                            <option value="">-- Select Type --</option>
                            {% for option in business_types %}
                                <option value="{{ option.decode("utf-8") }}">{{ option.decode("utf-8")|normalize|title }}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "primary_contact_number"|normalize|title }}*</label>
                        <input type="text" name="primary_contact_number" class="form-control" required />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "secondary_contact_number"|normalize|title }}</label>
                        <input type="text" name="secondary_contact_number" class="form-control" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "fax_number"|normalize|title }}</label>
                        <input type="text" name="fax_number" class="form-control" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "email_address"|normalize|title }}</label>
                        <input type="email" name="email_address" class="form-control" maxlength="255" />
                    </div>
                </div>
            </div>
            <hr />
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>{{ "contact_person"|normalize|title }}</label>
                        <input type="text" name="contact_person" class="form-control" />
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}


{% block empty_spiel %}
    Add Enterprise Clients -their info will be used for
    <br />
    ease of contact, tagging of shipments, and profit projections.
{% endblock %}


{% block read_columns %}
{# <script> #}
    {
        data: 'name',
        searchable: true,
        orderable: true,
        render: function(data, type) {
            if (type === 'sort') {
                return data;
            } else {
                return '<a href="javascript:;" data-crud-toggle="details" class="font-weight-bold" aria-expanded="true"> {0}</a>'.format(data);
            }
        }
    },
    {
        data: 'business_type',
        searchable: false,
        orderable: true,
        render: function(data) {
            return data.normalize().titleCase();
        }
    },
    {
        data: 'primary_contact_number',
        className: 'd-none d-sm-table-cell',
        searchable: true,
        orderable: true,
        render: function(data) {
            return (!isDefined(data)) ? '' : data;
        },
    },
    {
        data: 'email_address',
        searchable: true,
        orderable: true,
        render: function(data) {
            return (!isDefined(data)) ? '' : data;
        },
        className: 'd-none d-sm-none d-md-table-cell'
    },
    {
        data: 'last_transaction',
        searchable: false,
        orderable: true,
        render: function(data, type) {
            if (type === 'sort') {
                if (data.record !== null) {
                    return data.record.date_created;
                } else {
                    return -1;
                }
            } else {
                return data.spiel;
            }
        }
    },
    {
        data: '_id',
        className: 'text-center',
        searchable: false,
        sortable: false,
        render: function(data) {
            {% if session.user.access_levels.permissions.get(request.mod, {}).get('delete', False) %}
            return '<a href="javascript:;" class="btn btn-danger btn-sm btn-block" data-crud="delete" data-delete-target="{0}"><i class="fa fa-trash fa-fw"></i><span class="d-none d-sm-none d-md-inline"> Delete</span></a>'.format(data);
            {% else %}
            return '';
            {% endif %}
        }
    }
{# </script> #}
{% endblock %}
